function bnet = mk_agena_bnet()
n = 8;
dag = zeros(n);
dag(1, [2]) = 1;
dag(3, [5]) = 1;
dag(4, [1, 6]) = 1;
dag(5, [7]) = 1;
dag(6, [7]) = 1;
dag(7, [2, 8]) = 1;
ns = [2, 2, 2, 2, 2, 2, 2, 2];
dnodes = 1:n;
bnet = mk_bnet(dag, ns, 'discrete', dnodes);
bnet.CPD{1} = tabular_CPD(bnet, 1, [0.6, 0.3, 0.4, 0.7]);
bnet.CPD{2} = tabular_CPD(bnet, 2, [0.9, 0.8, 0.7, 0.1, 0.1, 0.2, 0.3, 0.9]);
bnet.CPD{3} = tabular_CPD(bnet, 3, [0.01, 0.99]);
bnet.CPD{4} = tabular_CPD(bnet, 4, [0.5, 0.5]);
bnet.CPD{5} = tabular_CPD(bnet, 5, [0.05, 0.01, 0.95, 0.99]);
bnet.CPD{6} = tabular_CPD(bnet, 6, [0.1, 0.01, 0.9, 0.99]);
bnet.CPD{7} = tabular_CPD(bnet, 7, [1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0]);
bnet.CPD{8} = tabular_CPD(bnet, 8, [0.98, 0.05, 0.02, 0.95]);